# only allow to run this script as root
if [ "$EUID" -ne 0 ]
  then echo "Please run as root"
  exit
fi

echo "Starting static web build of admin-dashboard-web"
npm run build
echo "Finished static web build of admin-dashboard-web"

# rm images
docker image rm jnx-admin-dashboard-proxy

# build images
docker compose build jnx-admin-dashboard-proxy

# tag images
docker image tag jnx-admin-dashboard-proxy:latest dockreg.ex.umbach.dev/jnx-admin-dashboard-proxy:latest

# push to self-hosted docker registry
docker push dockreg.ex.umbach.dev/jnx-admin-dashboard-proxy

echo "Uploaded admin-dashboard-web as jnx-admin-dashboard-proxy"